Index: data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Andrea_Moroni_Stampa_320.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Marc_Schaerer_tower_1003.blend
+# Material Count: 1
+newmtl def_surf_mat
+Ns 98.039216
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Marco_Delai_65.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Nicolas_Schlumberger_1106.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Ralph_Burkart_366.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_adrian_waeber_1050.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.481021 0.481021 0.481021
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_andrea_190.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_gfilip_29.blend1.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.300000 0.300000 0.300000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_landauf_stratosphere_tower_4084.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_marc_schaerer_tower2_184.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_thomas_Fahrni_1200.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_tobias_rutishauser_freedomtower2_306.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl
===================================================================
--- data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl	(revision 4349)
+++ data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_tobias_rutishauser_taipei_218.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+