Index: orxonox/trunk/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4356)
+++ orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4357)
@@ -259,8 +259,8 @@
   backMat->select();
   glBegin(GL_TRIANGLE_STRIP);
-  glTexCoord2i(0, 0); glVertex2i(offsetX, offsetY + imageHeight);
-  glTexCoord2i(1, 0); glVertex2i(offsetX +imageWidth, offsetY + imageHeight);
-  glTexCoord2i(0, 1); glVertex2i(offsetX, offsetY);
-  glTexCoord2i(1, 1); glVertex2i(offsetX + imageWidth, offsetY);
+  glTexCoord2i(0, 1); glVertex2i(offsetX, offsetY + imageHeight);
+  glTexCoord2i(1, 1); glVertex2i(offsetX +imageWidth, offsetY + imageHeight);
+  glTexCoord2i(0, 0); glVertex2i(offsetX, offsetY);
+  glTexCoord2i(1, 0); glVertex2i(offsetX + imageWidth, offsetY);
   glEnd();
   
@@ -279,8 +279,8 @@
   barMat->select();
   glBegin(GL_TRIANGLE_STRIP);
-  glTexCoord2f(0, 0); glVertex2i(barX, barY + barH);
-  glTexCoord2f(val, 0); glVertex2i(barX + (int)(val * this->barW * (float)screenWidth), barY + barH);
-  glTexCoord2f(0, 1); glVertex2i(barX, barY);
-  glTexCoord2f(val, 1); glVertex2i(barX + (int)(val * this->barW * (float)screenWidth), barY);
+  glTexCoord2f(0,   1); glVertex2i(barX, barY + barH);
+  glTexCoord2f(val, 1); glVertex2i(barX + (int)(val * this->barW * (float)screenWidth), barY + barH);
+  glTexCoord2f(0,   0); glVertex2i(barX, barY);
+  glTexCoord2f(val, 0); glVertex2i(barX + (int)(val * this->barW * (float)screenWidth), barY);
   glEnd();
 
Index: orxonox/trunk/src/lib/graphics/importer/material.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4357)
@@ -83,4 +83,5 @@
   
   // setting the transparency
+  /*
   if (this->transparency < 1.0)
     {
@@ -94,5 +95,5 @@
       glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
     }
-
+  */
 
   // setting illumination Model 
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4357)
@@ -221,5 +221,5 @@
 	{
 	  glNormal3fv(anorms[this->data->pLightNormals[pCommands[2]]]);
-	  glTexCoord2f( ((float *)pCommands)[0], 1.0-((float *)pCommands)[1] );
+	  glTexCoord2f( ((float *)pCommands)[0], ((float *)pCommands)[1] );
 	  glVertex3fv(verticesList[pCommands[2]]);
 	}
Index: orxonox/trunk/src/lib/graphics/importer/model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4357)
@@ -489,4 +489,6 @@
    If a vertexTextureCoordinate line is found,
    this function will inject it into the vertexTexture-Array
+
+   !! WARNING THIS IS DIFFERNT FROM addVervexTexture(float, float); because it changes the second entry to 1-v !!
 */
 bool Model::addVertexTexture (const char* vTextureString)
@@ -497,5 +499,5 @@
   PRINTF(5)("found vertex-Texture %f, %f\n", &subbuffer1, &subbuffer2);
   this->vTexture->addEntry(subbuffer1);
-  this->vTexture->addEntry(subbuffer2);
+  this->vTexture->addEntry(1 - subbuffer2);
   this->texCoordCount++;
   return true;
Index: orxonox/trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4357)
@@ -18,5 +18,8 @@
 #include "texture.h"
 
+#include "debug.h"
 #include "graphics_engine.h"
+
+#include <SDL_image.h>
 
 /**
@@ -167,11 +170,4 @@
 
 	  GLubyte* pixels = (GLubyte*)tmpSurf->pixels;
-	  
-	  /* this swaps the Mapping so lowel left will be upper left */
-	  for( int i = 0 ; i < (tmpSurf->h / 2) ; ++i )
-	    for( int j = 0 ; j < tmpSurf->w * tmpSurf->format->BytesPerPixel; j += tmpSurf->format->BytesPerPixel )
-	      for(int k = 0; k < tmpSurf->format->BytesPerPixel; ++k)
-		swap( pixels[(i * tmpSurf->w * tmpSurf->format->BytesPerPixel) + j + k],
-		      pixels[ ( (tmpSurf->h - i - 1) * tmpSurf->w *  tmpSurf->format->BytesPerPixel) + j + k]);
 
 	  PRINTF(3)("loading Image %s\n", imageName);
Index: orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4357)
@@ -14,5 +14,6 @@
 #include "debug.h"
 
-#include <SDL_image.h>
+enum TEXTURE_TYPE { TEXTURE_RADIAL_ALIAS,
+		    TEXTURE_NOISE };
 
 //! A Class, that reads in Textures from different fileformats.
@@ -27,4 +28,5 @@
  public:
   Texture(const char* imageName = NULL);
+  Texture(TEXTURE_TYPE type, int resolution);
   ~Texture(void);
 
Index: orxonox/trunk/src/lib/graphics/particles/particle_system.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4356)
+++ orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4357)
@@ -321,8 +321,8 @@
     case PARTICLE_SPRITE:
       glMatrixMode(GL_MODELVIEW);
-      glDisable(GL_DEPTH_TEST);
+      //      glDisable(GL_DEPTH_TEST);
 
       material->select(); 
-      //      glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+      //glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_ENV_MODE, GL_MODULATE);
       
 
Index: orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4356)
+++ orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4357)
@@ -100,15 +100,15 @@
 	{
 	  tmpEmit->setEmissionRate(atof(value));
-	  PRINT(3)("EmissionRate set to %f\n", atof(value));
+	  PRINT(4)("EmissionRate set to %f\n", atof(value));
 	}
       else if (!strcmp(name, "Velocity"))
 	{
 	  tmpEmit->setEmissionVelocity(atof(value));
-	  PRINT(3)("Velocity set to %f\n", atof(value));
+	  PRINT(4)("Velocity set to %f\n", atof(value));
 	}
       else if(!strcmp(name, "SpreadAngle"))
 	{
 	  tmpEmit->setSpread(atof(value));
-	  PRINT(3)("SpreadAngle set to %f\n", atof(value));
+	  PRINT(4)("SpreadAngle set to %f\n", atof(value));
 	}
       else if(!strcmp(name, "EmitterType"))
@@ -120,10 +120,10 @@
 	  else if (!strcmp(value, "EMITTER_CUBE"))
 	    tmpEmit->setType(EMITTER_CUBE);
-	  PRINT(3)("EmitterType set to %s\n", value);
+	  PRINT(4)("EmitterType set to %s\n", value);
 	}
       else if(!strcmp(name, "EmitterSize"))
 	{
 	  tmpEmit->setSize(atof(value));
-	  PRINT(3)("EmitterSize set to %f\n", atof(value));
+	  PRINT(4)("EmitterSize set to %f\n", atof(value));
 	}
     }
@@ -144,10 +144,10 @@
 	{
 	  tmpSys->setRadius(atof(value), tmpSys->getEndRadius());
-	  PRINT(3)("ParticleStartRadius set to %f\n", atof(value));
+	  PRINT(4)("ParticleStartRadius set to %f\n", atof(value));
 	}
       else if (!strcmp(name, "EndRadius"))
 	{
 	  tmpSys->setRadius( tmpSys->getStartRadius(), atof(value));
-	  PRINT(3)("ParticleEndRadius set to %f\n", atof(value));
+	  PRINT(4)("ParticleEndRadius set to %f\n", atof(value));
 	}
 
@@ -155,5 +155,5 @@
 	{
 	  tmpSys->setLifeSpan(atof(value));
-	  PRINT(3)("ParticleLifeSpan set to %f\n", atof(value));
+	  PRINT(4)("ParticleLifeSpan set to %f\n", atof(value));
 	}
 
@@ -161,5 +161,5 @@
 	{
 	  tmpSys->setConserve(atof(value));
-	  PRINT(3)("ParticleConserveFactor set to %f\n", atof(value));
+	  PRINT(4)("ParticleConserveFactor set to %f\n", atof(value));
 	}
 
@@ -173,5 +173,5 @@
 	    tmpSys->setType(PARTICLE_SPRITE);
 
-	  PRINT(3)("ParticleType set to %s\n", value);
+	  PRINT(4)("ParticleType set to %s\n", value);
 	}
 
@@ -179,5 +179,5 @@
 	{
 	  tmpSys->setInheritSpeed(atof(value));
-	  PRINT(3)("ParticleInheritSpeed set to %f\n", atof(value));
+	  PRINT(4)("ParticleInheritSpeed set to %f\n", atof(value));
 	}
       else if (!strcmp(name, "RandomColor"))
Index: orxonox/trunk/src/world_entities/skybox.cc
===================================================================
--- orxonox/trunk/src/world_entities/skybox.cc	(revision 4356)
+++ orxonox/trunk/src/world_entities/skybox.cc	(revision 4357)
@@ -193,8 +193,8 @@
   this->skyModel->addVertex (0.5*size, -0.5*size, -0.5*size);
 
+  this->skyModel->addVertexTexture (0.0, 1.0);
+  this->skyModel->addVertexTexture (1.0, 1.0);
+  this->skyModel->addVertexTexture (1.0, 0.0);
   this->skyModel->addVertexTexture (0.0, 0.0);
-  this->skyModel->addVertexTexture (1.0, 0.0);
-  this->skyModel->addVertexTexture (1.0, 1.0);
-  this->skyModel->addVertexTexture (0.0, 1.0);
 
   this->skyModel->addVertexNormal (0.0, 0.0, 1.0);