Index: /orxonox/trunk/src/lib/graphics/importer/material.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4370)
@@ -282,5 +282,5 @@
    \param pathName The Path to add.
 */
-void Material::addTexturePath(char* pathName)
+void Material::addTexturePath(const char* pathName)
 {
   ResourceManager::getInstance()->addImageDir(pathName);
Index: /orxonox/trunk/src/lib/graphics/importer/material.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4370)
@@ -48,5 +48,5 @@
 
  
-  void addTexturePath(char* pathName);
+  static void addTexturePath(const char* pathName);
  // MAPPING //
   void setDiffuseMap(const char* dMap);
Index: /orxonox/trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4370)
@@ -75,4 +75,5 @@
       strncpy(this->objPath, fileName, len);
       this->objPath[len] = '\0';
+      Material::addTexturePath(this->objPath);
       PRINTF(1)("Resolved file %s to Path %s.\n", fileName, this->objPath);
     }
Index: /orxonox/trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4370)
@@ -44,18 +44,4 @@
     glDeleteTextures(1, &this->texture);
 }
-
-/**
-   \brief a Simple function that switches two char values
-   \param a The first value
-   \param b The second value
-*/
-void Texture::swap (unsigned char &a, unsigned char &b)
-{
-  unsigned char temp;
-  temp = a;
-  a    = b;
-  b    = temp;
-}
-
 
 /**
Index: /orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4370)
@@ -23,5 +23,4 @@
   GLuint texture;   //!< The Texture-ID of opengl from this Texture.
   char* searchTextureInPaths(const char* texName) const;
-  void swap(unsigned char &a, unsigned char &b);
 
   bool bAlpha;           //!< if the texture has an alpha channel.
Index: /orxonox/trunk/src/lib/graphics/particles/particle_system.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4369)
+++ /orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4370)
@@ -321,5 +321,5 @@
     case PARTICLE_SPRITE:
       glMatrixMode(GL_MODELVIEW);
-      //      glDisable(GL_DEPTH_TEST);
+      glDisable(GL_DEPTH_TEST);
 
       material->select(); 
Index: /orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4369)
+++ /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4370)
@@ -109,5 +109,5 @@
       else if(!strcmp(name, "SpreadAngle"))
 	{
-	  tmpEmit->setSpread(atof(value));
+	  tmpEmit->setSpread(atof(value), 0);
 	  PRINT(4)("SpreadAngle set to %f\n", atof(value));
 	}
Index: /orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- /orxonox/trunk/src/util/resource_manager.cc	(revision 4369)
+++ /orxonox/trunk/src/util/resource_manager.cc	(revision 4370)
@@ -130,5 +130,5 @@
    false otherwise
 */
-bool ResourceManager::addImageDir(char* imageDir)
+bool ResourceManager::addImageDir(const char* imageDir)
 {
   // check if the param is a Directory
Index: /orxonox/trunk/src/util/resource_manager.h
===================================================================
--- /orxonox/trunk/src/util/resource_manager.h	(revision 4369)
+++ /orxonox/trunk/src/util/resource_manager.h	(revision 4370)
@@ -78,5 +78,5 @@
 
   bool checkDataDir(const char* fileInside);
-  bool addImageDir(char* imageDir);
+  bool addImageDir(const char* imageDir);
   void* load(const char* fileName, ResourcePriority prio = RP_NO,
 	     void* param1 = NULL, void* param2 = NULL, void* param3 = NULL);