Index: /data/trunk/worlds/sp_ai.oxw
===================================================================
--- /data/trunk/worlds/sp_ai.oxw	(revision 4376)
+++ /data/trunk/worlds/sp_ai.oxw	(revision 4377)
@@ -29,53 +29,87 @@
     <NPC2>
        <abs-coor> 10, 0, 10</abs-coor>
-       <model>models/ships/gobblin.obj,2</model>
+       <model>models/ships/gobblin.obj,1.5</model>
        <team>1</team>
+       <swarm>0</swarm>
     </NPC2>
     
     <NPC2>
        <abs-coor> 12, 0, 10</abs-coor>
-       <model>models/ships/gobblin.obj,2</model>
+       <model>models/ships/gobblin.obj,1.5</model>
        <team>1</team>
+       <swarm>0</swarm>
     </NPC2>
     
     <NPC2>
        <abs-coor> 14, 0, 10</abs-coor>
-       <model>models/ships/gobblin.obj,2</model>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+
+    <NPC2>
+       <abs-coor> 16, 0, 10</abs-coor>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+    <NPC2>
+       <abs-coor> 20, 0, 10</abs-coor>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+    
+    <NPC2>
+       <abs-coor> 22, 0, 10</abs-coor>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+    
+    <NPC2>
+       <abs-coor> 24, 0, 10</abs-coor>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+
+    <NPC2>
+       <abs-coor> 26, 0, 10</abs-coor>
+       <model>models/ships/gobblin.obj,1.5</model>
+       <team>1</team>
+       <swarm>0</swarm>
+    </NPC2>
+    
+      
+
+
+
+    <NPC2>
+       <abs-coor> 18, 0, 10</abs-coor>
+       <model>models/ships/fighter.obj,0.7</model>
+       <team>1</team>
+       <swarm>1</swarm>
+    </NPC2>
+    
+    <NPC2>
+       <abs-coor> 20, 0, 10</abs-coor>
+       <model>models/ships/fighter.obj,0.7</model>
+       <team>1</team>
+       <swarm>1</swarm>
+    </NPC2>
+
+    <NPC2>
+       <abs-coor> 20, 0, -10</abs-coor>
+       <model>models/ships/fighter.obj,0.7</model>
+       <swarm>1</swarm>
        <team>1</team>
     </NPC2>
 
     <NPC2>
-       <abs-coor> 16, 0, 10</abs-coor>
-       <model>models/ships/gobblin.obj,2</model>
-       <team>1</team>
-    </NPC2>
-    
-
-    <NPC2>
-       <abs-coor> 18, 0, 10</abs-coor>
-       <model>models/ships/fighter.obj,1.1</model>
+       <abs-coor> 18, 0, -10</abs-coor>
+       <model>models/ships/fighter.obj,0.7</model>
        <swarm>1</swarm>
        <team>1</team>
-    </NPC2>
-    
-    <NPC2>
-       <abs-coor> 20, 0, 10</abs-coor>
-       <model>models/ships/fighter.obj,1.1</model>
-       <swarm>1</swarm>
-      <team>1</team>
-    </NPC2>
-
-    <NPC2>
-       <abs-coor> 20, 0, -10</abs-coor>
-       <model>models/ships/fighter.obj,1.1</model>
-       <swarm>1</swarm>
-      <team>1</team>
-    </NPC2>
-
-    <NPC2>
-       <abs-coor> 18, 0, -10</abs-coor>
-       <model>models/ships/fighter.obj,1.1</model>
-       <swarm>1</swarm>
-      <team>1</team>
     </NPC2>
 
@@ -93,15 +127,15 @@
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.05</model>
-      <abs-coor>100, 0, 0</abs-coor>
+      <abs-coor>100, -20, 0</abs-coor>
    </ModelEntity>
    <ModelEntity>
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.03</model>
-      <abs-coor>200, 0, 60</abs-coor>
+      <abs-coor>200, -20, 60</abs-coor>
    </ModelEntity>
    <ModelEntity>
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.03</model>
-      <abs-coor>200, 0, -60</abs-coor>
+      <abs-coor>200, -20, -60</abs-coor>
    </ModelEntity>
 
@@ -109,20 +143,20 @@
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.05</model>
-      <abs-coor>280, 30, 0</abs-coor>
+      <abs-coor>280, -20, 0</abs-coor>
    </ModelEntity>
    <ModelEntity>
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.05</model>
-      <abs-coor>450, 0, 60</abs-coor>
+      <abs-coor>450, -20, 60</abs-coor>
    </ModelEntity>
    <ModelEntity>
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.05</model>
-      <abs-coor>400, 0, -60</abs-coor>
+      <abs-coor>400, -20, -60</abs-coor>
    </ModelEntity>
    <ModelEntity>
       <name>Noxon Battle Ship</name>
       <model>models/ships/noxon_battle_ship.obj, 0.05</model>
-      <abs-coor>480, 0, -20</abs-coor>
+      <abs-coor>480, -20, -20</abs-coor>
    </ModelEntity>
 