Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 4380)
+++ /orxonox/trunk/src/Makefile.am	(revision 4381)
@@ -150,4 +150,6 @@
 		 network/synchronisable.h \
 		 defs/stdincl.h \
+		 defs/stdlibincl.h \
+		 defs/sdlincl.h \
 		 defs/glincl.h \
 		 defs/comincl.h \
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4380)
+++ /orxonox/trunk/src/Makefile.in	(revision 4381)
@@ -363,4 +363,6 @@
 		 network/synchronisable.h \
 		 defs/stdincl.h \
+		 defs/stdlibincl.h \
+		 defs/sdlincl.h \
 		 defs/glincl.h \
 		 defs/comincl.h \
Index: /orxonox/trunk/src/defs/debug.h
===================================================================
--- /orxonox/trunk/src/defs/debug.h	(revision 4380)
+++ /orxonox/trunk/src/defs/debug.h	(revision 4381)
@@ -74,4 +74,5 @@
 #define DEBUG_MODULE_ANIM               1
 #define DEBUG_MODULE_PARTICLE           1
+#define DEBUG_MODULE_PHYSICS            1
 #define DEBUG_MODULE_EVENT              3
 
Index: /orxonox/trunk/src/defs/glincl.h
===================================================================
--- /orxonox/trunk/src/defs/glincl.h	(revision 4380)
+++ /orxonox/trunk/src/defs/glincl.h	(revision 4381)
@@ -9,6 +9,4 @@
 #define _GLINCL_H
 
-#include <SDL.h>
-
 #ifndef __APPLE__
 #include <GL/gl.h>
Index: /orxonox/trunk/src/defs/sdlincl.h
===================================================================
--- /orxonox/trunk/src/defs/sdlincl.h	(revision 4381)
+++ /orxonox/trunk/src/defs/sdlincl.h	(revision 4381)
@@ -0,0 +1,14 @@
+/*!
+  \file sdlincl.h
+  \brief This file includes sdl Headers.
+  
+  no Class is defined here, but the SDL Headers
+*/
+
+#ifndef _SDLINCL_H
+#define _SDLINCL_H
+
+#include <SDL.h>
+
+#endif /* _SDLINCL_H */
+
Index: /orxonox/trunk/src/defs/stdincl.h
===================================================================
--- /orxonox/trunk/src/defs/stdincl.h	(revision 4380)
+++ /orxonox/trunk/src/defs/stdincl.h	(revision 4381)
@@ -17,8 +17,7 @@
 #endif
 
-#include <stddef.h>
-#include <stdlib.h>
-#include <string.h>
+#include <stdlibincl.h>
 
+#include "sdlincl.h"
 #include "glincl.h"
 
Index: /orxonox/trunk/src/defs/stdlibincl.h
===================================================================
--- /orxonox/trunk/src/defs/stdlibincl.h	(revision 4381)
+++ /orxonox/trunk/src/defs/stdlibincl.h	(revision 4381)
@@ -0,0 +1,15 @@
+/*!
+  \file stdlibincl.h
+  \brief some headers of the stdlib
+  
+  no Class is defined here.
+*/
+
+#ifndef _STDLIBINCL_H
+#define _STDLIBINCL_H
+
+#include <stddef.h>
+#include <stdlib.h>
+#include <string.h>
+
+#endif /* _STDLIBINCL_H */
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4381)
@@ -10,8 +10,10 @@
 #define _GRAPHICS_ENGINE_H
 
-#include "glincl.h"
 #include "base_object.h"
 
+#include "sdlincl.h"
+#include "glincl.h"
 
+// Forward Declaration
 class Text;
 
Index: /orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4381)
@@ -10,4 +10,5 @@
 #define _TEXTURE_H
 
+#include "sdlincl.h"
 #include "glincl.h"
 
Index: /orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/light.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/light.cc	(revision 4381)
@@ -22,4 +22,5 @@
 #include "glincl.h"
 #include "vector.h"
+#include "debug.h"
 
 using namespace std;
Index: /orxonox/trunk/src/lib/graphics/particles/particle_emitter.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/particles/particle_emitter.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/particles/particle_emitter.cc	(revision 4381)
@@ -20,4 +20,7 @@
 #include "particle_system.h"
 #include "particle_engine.h"
+
+#include "debug.h"
+#include "stdlibincl.h"
 
 using namespace std;
Index: /orxonox/trunk/src/lib/graphics/particles/particle_emitter.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/particles/particle_emitter.h	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/particles/particle_emitter.h	(revision 4381)
@@ -1,4 +1,4 @@
 /*! 
-    \file particle_e,otter.h
+    \file particle_emitter.h
     \brief Definition of a ParticleEmitter
 */
@@ -19,5 +19,5 @@
 			   EMITTER_CUBE  = 8};
 
-//! A default singleton class.
+//! A class to handle an Emitter.
 class ParticleEmitter : public PNode {
 
Index: /orxonox/trunk/src/lib/graphics/particles/particle_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/particles/particle_engine.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/particles/particle_engine.cc	(revision 4381)
@@ -22,4 +22,6 @@
 
 #include "list.h"
+#include "debug.h"
+#include "stdlibincl.h"
 
 using namespace std;
Index: /orxonox/trunk/src/lib/graphics/particles/particle_system.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/particles/particle_system.h	(revision 4380)
+++ /orxonox/trunk/src/lib/graphics/particles/particle_system.h	(revision 4381)
@@ -10,4 +10,5 @@
 #include "physics_interface.h"
 
+#include "glincl.h"
 #include "vector.h"
 
Index: /orxonox/trunk/src/lib/gui/gui/gui_video.cc
===================================================================
--- /orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/gui/gui/gui_video.cc	(revision 4381)
@@ -28,5 +28,5 @@
 
 #include "gui_gtk.h"
-#include "glincl.h"
+#include "sdlincl.h"
 #include <stdlib.h>
 
Index: /orxonox/trunk/src/lib/lang/base_object.h
===================================================================
--- /orxonox/trunk/src/lib/lang/base_object.h	(revision 4380)
+++ /orxonox/trunk/src/lib/lang/base_object.h	(revision 4381)
@@ -8,5 +8,4 @@
 #define _BASE_OBJECT_H
 
-#include "stdincl.h"
 #include "class_list.h"
 
Index: /orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4380)
+++ /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4381)
@@ -7,4 +7,5 @@
 #define _PHYSICS_CONNECTION_H
 
+#include "base_object.h"
 // Forward Declaration
 class PhysicsInterface;
@@ -20,5 +21,6 @@
 
 //! A class that Handles Physical Connection between subjects
-class PhysicsConnection {
+class PhysicsConnection : virtual public BaseObject
+{
 
  public:
Index: /orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4381)
@@ -14,7 +14,9 @@
 */
 
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
 
 #include "physics_engine.h"
+
+#include "debug.h"
 
 #include "list.h"
Index: /orxonox/trunk/src/lib/util/ini_parser.cc
===================================================================
--- /orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4380)
+++ /orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4381)
@@ -16,5 +16,7 @@
 
 #include "ini_parser.h"
+
 #include "resource_manager.h"
+#include "debug.h"
 
 using namespace std;
Index: /orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4380)
+++ /orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4381)
@@ -21,4 +21,5 @@
 #include "particle_engine.h"
 #include "fields.h"
+#include "stdlibincl.h"
 
 #define PINIT_EMISSION_RATE          50
Index: /orxonox/trunk/src/util/animation/animation.h
===================================================================
--- /orxonox/trunk/src/util/animation/animation.h	(revision 4380)
+++ /orxonox/trunk/src/util/animation/animation.h	(revision 4381)
@@ -10,4 +10,5 @@
 #include "base_object.h"
 #include "confincl.h"  // must be here to determin the DEBUG-level
+#include "debug.h"
 
 // FORWARD DEFINITION
Index: /orxonox/trunk/src/util/event/event.h
===================================================================
--- /orxonox/trunk/src/util/event/event.h	(revision 4380)
+++ /orxonox/trunk/src/util/event/event.h	(revision 4381)
@@ -11,4 +11,5 @@
 #include "base_object.h"
 #include "event_def.h"
+#include "sdlincl.h"
 
 
Index: /orxonox/trunk/src/util/event/event_handler.cc
===================================================================
--- /orxonox/trunk/src/util/event/event_handler.cc	(revision 4380)
+++ /orxonox/trunk/src/util/event/event_handler.cc	(revision 4381)
@@ -24,5 +24,6 @@
 #include "ini_parser.h"
 #include "keynames.h"
-
+#include "compiler.h"
+#include "debug.h"
 
 using namespace std;
Index: /orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- /orxonox/trunk/src/util/resource_manager.cc	(revision 4380)
+++ /orxonox/trunk/src/util/resource_manager.cc	(revision 4381)
@@ -25,4 +25,5 @@
 
 #include "list.h"
+#include "sdlincl.h"
 
 // File Handling Includes
Index: /orxonox/trunk/src/util/resource_manager.h
===================================================================
--- /orxonox/trunk/src/util/resource_manager.h	(revision 4380)
+++ /orxonox/trunk/src/util/resource_manager.h	(revision 4381)
@@ -13,4 +13,6 @@
 
 #include "base_object.h"
+
+#include "stdlibincl.h"
 
 // FORWARD DEFINITION 
Index: /orxonox/trunk/src/util/state.cc
===================================================================
--- /orxonox/trunk/src/util/state.cc	(revision 4380)
+++ /orxonox/trunk/src/util/state.cc	(revision 4381)
@@ -17,4 +17,8 @@
 
 #include "state.h"
+
+#ifndef NULL
+#define NULL 0
+#endif
 
 using namespace std;
Index: /orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- /orxonox/trunk/src/util/track/track_manager.h	(revision 4380)
+++ /orxonox/trunk/src/util/track/track_manager.h	(revision 4381)
@@ -14,4 +14,8 @@
 #include "curve.h"
 #include "base_object.h"
+
+#ifndef NULL
+#define NULL 0
+#endif
 
 // Forward Definition