Index: /data/release/data.oxd
===================================================================
--- /data/release/data.oxd	(revision 4383)
+++ /data/release/data.oxd	(revision 4383)
@@ -0,0 +1,6 @@
+# This is orxonox' univariant DataRepository.
+# in here all the system-independant Data for
+# the game are stored
+
+#currently at Revision:
+$Rev: 157 $
Index: /data/release/levels/DefaultCampaign.oxc
===================================================================
--- /data/release/levels/DefaultCampaign.oxc	(revision 4383)
+++ /data/release/levels/DefaultCampaign.oxc	(revision 4383)
@@ -0,0 +1,92 @@
+<Campaign>
+  <name>default</name>
+  <identifier>0</identifier>
+  <description>The one and only default debug campaign</description>
+  <WorldList>
+
+    <GameMenu>
+      <identifier>0</identifier>
+      <name>GameMenu</name>
+      <path>worlds/Menu.oxw</path>
+      <nextid>1</nextid>
+    </GameMenu>
+
+
+
+    <SinglePlayerWorld>
+      <identifier>1</identifier>
+      <nextid>2</nextid>
+      <name>Demo Mountain Lake</name>
+      <path>worlds/sp_demo_mountain_lake.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+
+    <SinglePlayerWorld>
+      <identifier>2</identifier>
+      <nextid>3</nextid>
+      <name>Ambush_at_Uranus</name>
+      <path>worlds/sp_level_ambush_at_uranus.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+
+    <SinglePlayerWorld>
+      <identifier>3</identifier>
+      <nextid>0</nextid>
+      <name>Multiplayer Arena</name>
+      <path>worlds/mp_level_arena.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+
+    <SinglePlayerWorld>
+      <identifier>4</identifier>
+      <nextid>0</nextid>
+      <name>Testlevel</name>
+      <path>worlds/testlevel.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>   
+
+    <SinglePlayerWorld>
+      <identifier>5</identifier>
+      <nextid>0</nextid>
+      <name>Terrain</name>
+      <path>worlds/mp_valley.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+
+   <SinglePlayerWorld>
+      <identifier>6</identifier>
+      <nextid>0</nextid>
+      <name>Artificial Intelligence</name>
+      <path>worlds/sp_ai.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+
+   <SinglePlayerWorld>
+      <identifier>7</identifier>
+      <nextid>0</nextid>
+      <name>Mounting Points Test</name>
+      <path>worlds/sp_mount_points.oxw</path>
+      <menu-entry>1</menu-entry>
+   </SinglePlayerWorld>
+
+   <SinglePlayerWorld>
+      <identifier>8</identifier>
+      <nextid>0</nextid>
+      <name>Christmas Level</name>
+      <path>worlds/christmas2.oxw</path>
+      <menu-entry>1</menu-entry>
+   </SinglePlayerWorld>
+
+    <MultiPlayerWorld>
+      <identifier>9</identifier>
+      <nextid>0</nextid>
+      <path>worlds/mp_level_arena.oxw</path>
+    </MultiPlayerWorld>
+
+  </WorldList>
+</Campaign>
Index: /data/release/levels/DefaultNetworkCampaign.oxc
===================================================================
--- /data/release/levels/DefaultNetworkCampaign.oxc	(revision 4383)
+++ /data/release/levels/DefaultNetworkCampaign.oxc	(revision 4383)
@@ -0,0 +1,12 @@
+<Campaign>
+  <name>default</name>
+  <identifier>666</identifier>
+  <description>The one and only default debug campaign</description>
+  <WorldList>
+    <MultiPlayerWorld>
+      <identifier>0</identifier>
+      <nextid>999</nextid>
+      <path>worlds/mp_level_arena.oxw</path>
+    </MultiPlayerWorld>
+  </WorldList>
+</Campaign>
Index: /data/release/levels/Menu.oxw
===================================================================
--- /data/release/levels/Menu.oxw	(revision 4383)
+++ /data/release/levels/Menu.oxw	(revision 4383)
@@ -0,0 +1,66 @@
+<WorldDataFile>
+  <name>ORXONOX - GameMenu</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/simple_menu.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/simple_menu_bar.png</BarImage>
+  </LoadScreen>
+  <selector-sound>sounds/menu_click.wav</selector-sound>
+
+
+
+  <WorldEntities>
+    <Planet>
+      <name>mars</name>
+      <texture>textures/planets/pluto.png</texture>
+      <size>30</size>
+      <abs-coor>0,-10,0</abs-coor>
+      <abs-dir>3.1412, 0,1,0</abs-dir>
+    </Planet>
+
+    <Planet>
+      <name>Moon</name>
+      <texture>textures/planets/mars.png</texture>
+      <size>70</size>
+      <abs-coor>100, 60, 100</abs-coor>
+      <abs-dir>3.1412, 0,1,0</abs-dir>
+    </Planet>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>textures/sky/simple_space</Materialset>
+     <Size>500</Size>
+    </SkyBox>
+  </WorldEntities>
+
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>5000,2000,-1000</abs-coor>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,.6</ambient-color>
+  </LightManager>
+
+  <GraphicsEngine>
+    <GraphicsEffect>
+        <LenseFlare>
+          <name>lense flare</name>
+          <add-flare-texture>textures/lense_flare/sun.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens2.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens1.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens3.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens4.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens1.png</add-flare-texture>
+          <add-flare-texture>textures/lense_flare/lens3.png</add-flare-texture>
+        </LenseFlare>
+    </GraphicsEffect>
+  </GraphicsEngine>
+
+  <Music>music/menu1.ogg</Music>
+
+
+</WorldDataFile>
Index: /data/release/models/planets/uranus.mtl
===================================================================
--- /data/release/models/planets/uranus.mtl	(revision 4383)
+++ /data/release/models/planets/uranus.mtl	(revision 4383)
@@ -0,0 +1,18 @@
+
+newmtl phong1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+map_Kd planets/uranus.jpg
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 18.00
+
+newmtl phong2SG
+illum 4
+Kd 0.0 0.00 0.00
+Ka 1.00 1.00 1.00
+map_Kd planets/uranusringcolour.png
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 18.00