Index: /orxonox/trunk/src/defs/debug.h
===================================================================
--- /orxonox/trunk/src/defs/debug.h	(revision 4388)
+++ /orxonox/trunk/src/defs/debug.h	(revision 4389)
@@ -66,5 +66,5 @@
 #define DEBUG_MODULE_TRACK_MANAGER      0
 #define DEBUG_MODULE_GARBAGE_COLLECTOR  0
-#define DEBUG_MODULE_OBJECT_MANAGER     3
+#define DEBUG_MODULE_OBJECT_MANAGER     0
 #define DEBUG_MODULE_LIGHT              0
 #define DEBUG_MODULE_PLAYER             1
Index: /orxonox/trunk/src/util/event/event_handler.cc
===================================================================
--- /orxonox/trunk/src/util/event/event_handler.cc	(revision 4388)
+++ /orxonox/trunk/src/util/event/event_handler.cc	(revision 4389)
@@ -198,6 +198,8 @@
   PRINT(0)("\n==========================| EventHandler::test () |===\n");  
   PRINT(0)("Eventhandler init successfuly\n");
-  KeyMapper km();
+  KeyMapper km;
   PRINT(0)("KeyMapper loaded\n");
+  //km.loadKeyBindings();
+  km.debug();
 
   PRINT(0)("=======================================================\n");      
Index: /orxonox/trunk/src/util/event/key_mapper.cc
===================================================================
--- /orxonox/trunk/src/util/event/key_mapper.cc	(revision 4388)
+++ /orxonox/trunk/src/util/event/key_mapper.cc	(revision 4389)
@@ -115,9 +115,9 @@
 	{
 	case 0:
-	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  PRINTF(0)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
 	  strcpy (this->keyAliases->keys[index[1]], namebuf);
 	  break;
 	case 1:
-	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  PRINTF(0)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
 	  strcpy (this->keyAliases->buttons[index[1]], namebuf);
 	  break;
@@ -144,9 +144,9 @@
 	{
 	case 0:
-	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  PRINTF(0)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
 	  strcpy (keyAliases->keys[index[1]], namebuf);
 	  break;
 	case 1:
-	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  PRINTF(0)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
 	  strcpy (keyAliases->buttons[index[1]], namebuf);
 	  break;
@@ -178,2 +178,14 @@
   return coord;
 }
+
+
+void KeyMapper::debug()
+{
+  //PRINT(0)("\n==========================| KeyMapper::debug() |===\n");  
+  PRINT(0)("Command 'up' got SDL key-ref nr %i \n", (this->nameToIndex("UP"))[0]);
+  PRINT(0)("Command 'down' got SDL key-ref nr %i \n", (this->nameToIndex("DOWN"))[0]);
+  PRINT(0)("Command 'right' got SDL key-ref nr %i \n", (this->nameToIndex("RIGHT"))[0]);
+  PRINT(0)("Command 'left' got SDL key-ref nr %i \n", (this->nameToIndex("LEFT"))[0]);
+
+  //PRINT(0)("=======================================================\n");        
+}
Index: /orxonox/trunk/src/util/event/key_mapper.h
===================================================================
--- /orxonox/trunk/src/util/event/key_mapper.h	(revision 4388)
+++ /orxonox/trunk/src/util/event/key_mapper.h	(revision 4389)
@@ -33,5 +33,7 @@
   virtual ~KeyMapper();
 
-  void loadKeyBindings(const char* fileName);
+  void loadKeyBindings(const char* fileName = "~/.orxonox/orxonox.conf");
+
+  void debug();
 
  private:
Index: /orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- /orxonox/trunk/src/util/garbage_collector.cc	(revision 4388)
+++ /orxonox/trunk/src/util/garbage_collector.cc	(revision 4389)
@@ -147,5 +147,5 @@
   PRINTF(3)("=============================\n");
 
-  ObjectManager::getInstance()->debug();
+  //ObjectManager::getInstance()->debug();
 
   /* reset time to count again up to this->delay */
Index: /orxonox/trunk/src/world_entities/player.cc
===================================================================
--- /orxonox/trunk/src/world_entities/player.cc	(revision 4388)
+++ /orxonox/trunk/src/world_entities/player.cc	(revision 4389)
@@ -28,5 +28,5 @@
 #include "stdincl.h"
 
-#include "object_manager.h"
+
 #include "projectile.h"
 
Index: /orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4388)
+++ /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4389)
@@ -92,5 +92,5 @@
   Projectile* p = new TestBullet(this);
   ObjectManager::getInstance()->cache(CL_TEST_BULLET, 100, p);
-  ObjectManager::getInstance()->debug();
+  //ObjectManager::getInstance()->debug();
 }
 